Loading...
Searching...
No Matches
AVIAMFMixGain Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Parameter Definition

Mix Gain Parameter Data as defined in section 3.8.1 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
unsigned int | subblock_duration
| Duration for the given subblock, in units of 1 / parameter_rate.
enum AVIAMFAnimationType | animation_type
| The type of animation applied to the parameter values.
AVRational | start_point_value
| Parameter value that is applied at the start of the subblock.
AVRational | end_point_value
| Parameter value that is applied at the end of the subblock.
AVRational | control_point_value
| Parameter value of the middle control point of a quadratic Bezier curve, i.e., its y-axis value.
AVRational | control_point_relative_time
| Parameter value of the time of the middle control point of a quadratic Bezier curve, i.e., its x-axis value.

## Detailed Description

Mix Gain Parameter Data as defined in section 3.8.1 of IAMF.

Note
  This struct's size is not a part of the public ABI.

Definition at line 77 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFMixGain::av_class

Definition at line 78 of file iamf.h.

## subblock_duration

unsigned int AVIAMFMixGain::subblock_duration

Duration for the given subblock, in units of 1 / parameter_rate.

It must not be 0.

Definition at line 85 of file iamf.h.

## animation_type

enum AVIAMFAnimationType AVIAMFMixGain::animation_type

The type of animation applied to the parameter values.

Definition at line 89 of file iamf.h.

## start_point_value

AVRational AVIAMFMixGain::start_point_value

Parameter value that is applied at the start of the subblock.

Applies to all defined Animation Types.

Valid range of values is -128.0 to 128.0

Definition at line 96 of file iamf.h.

## end_point_value

AVRational AVIAMFMixGain::end_point_value

Parameter value that is applied at the end of the subblock.

Applies only to AV_IAMF_ANIMATION_TYPE_LINEAR and AV_IAMF_ANIMATION_TYPE_BEZIER Animation Types.

Valid range of values is -128.0 to 128.0

Definition at line 104 of file iamf.h.

## control_point_value

AVRational AVIAMFMixGain::control_point_value

Parameter value of the middle control point of a quadratic Bezier curve, i.e., its y-axis value.

Applies only to AV_IAMF_ANIMATION_TYPE_BEZIER Animation Type.

Valid range of values is -128.0 to 128.0

Definition at line 112 of file iamf.h.

## control_point_relative_time

AVRational AVIAMFMixGain::control_point_relative_time

Parameter value of the time of the middle control point of a quadratic Bezier curve, i.e., its x-axis value.

Applies only to AV_IAMF_ANIMATION_TYPE_BEZIER Animation Type.

Valid range of values is 0.0 to 1.0

Definition at line 120 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h